%global pkg_name editline
%global debug_package %{nil}

%bcond_without doc
%bcond_without prof

Name:		ghc-%{pkg_name}
Version:	0.2.1.0
Release:	7%{?dist}
Summary:	Haskell %{pkg_name} library
Group:		Development/Libraries
License:	BSD
URL:		http://code.haskell.org/editline
Source0:	http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:	%{ix86} x86_64 ppc alpha

BuildRequires:	ghc >= 6.10, ghc-rpm-macros, libedit-devel
%if %{with_doc}
BuildRequires:	ghc-doc
%endif

%if %{with_prof}
BuildRequires:	ghc-prof
%endif

%description
This package contains binding to the BSD editline library 
(http://thrysoee.dk/editline). It provides a basic interface
to the editline API for reading lines in input for the user.

Additionally, a readline compatibility module is included, which 
provides a subset of the functionality of the readline library.

%package devel
Summary:	 Haskell %{pkg_name} library
Group:		 Development/Libraries
Requires:	 libedit-devel
Requires:	 ghc = %{ghc_version}
Requires(pos):	 ghc = %{ghc_version}
Requires(postun):    ghc = %{ghc_version}
Requires:	     libedit-devel

%description devel
This package will contains the development files for %{name}
built for ghc-%{ghc_version}


%if %{with_doc}
%package doc
Summary:	Documentation for %{name}
Group:		Development/Libraries
Requires:	ghc-doc = %{ghc_version}
Requires(post):	ghc-doc = %{ghc_version}
Requires(postun):	ghc-doc = %{ghc_version}

%description doc
Thsi package contains the documentation files for the %{name} library
%endif

%if %{with_prof}
%package prof
Summary:    Profiling libraries for %{name}
Group:	    Development/Libraries
Requires:   %{name}-devel = %{version}-%{release}
Requires:   ghc-prof = %{ghc_version}
%description prof
This package contains profiling libraries for %{name}
built for ghc-%{version}
%endif

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%cabal_configure --ghc %{?with_prof:-p}
%cabal build

%if %{with_doc}
%cabal haddock
%endif

%ghc_gen_scripts

%install
rm -rf $RPM_BUILD_ROOT
%cabal_install
%ghc_install_scripts
%ghc_gen_filelists %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post devel 
%ghc_register_pkg

%if %{with_doc}
%post doc
%ghc_reindex_haddock
%endif

%postun devel
if [ "$1" -eq 0 ] ; then
   %ghc_unregister_pkg
fi

%if %{with_doc}
%postun doc
if [ "$1" -eq 0 ] ; then
   %ghc_reindex_haddock
fi
%endif

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}

%if %{with_doc}
%files doc -f %{name}-doc.files
%defattr(-,root,root,-)
%endif

%if %{with_prof}
%files prof -f %{name}-prof.files
%defattr(-,root,root,-)
%endif

%Changelog
* Thu Jul 23 2009 Jens Petersen <petersen@redhat.com> - 0.2.1.0-7
- pkg_libdir is redundant
- devel requires libedit-devel

* Wed Jul 22 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-6
- Rebuild for new ghc release on rawhide

* Tue Jul 21 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-5
- Fix typo in %%{pkg_name} macro

* Mon Jul 20 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-4
- Fix typo in definition of %%{pkg_libdir}

* Sun Jul 19 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-3
- Fix monor grammer issue

* Thu Jul 16 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-2
- Fix typos reported in review reqest

* Thu Jul  9 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1.0-1
- Initial package


